Bug 1537462 (CVE-2018-1000002) - CVE-2018-1000002 knot-resolver: Insufficient DNSSEC validation
Summary: CVE-2018-1000002 knot-resolver: Insufficient DNSSEC validation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: CVE-2018-1000002
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1537465 1537466
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-23 09:29 UTC by Andrej Nemec
Modified: 2019-09-29 14:30 UTC (History)
3 users (show)

Fixed In Version: knot-resolver 1.5.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-02 13:23:23 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2018-01-23 09:29:00 UTC
Improper input validation bugs in DNSSEC validators components in Knot Resolver (prior version 1.5.2) allow attacker in man-in-the-middle position to deny existence of some data in DNS via packet replay.

External References:

https://www.knot-resolver.cz/2018-01-22-knot-resolver-1.5.2.html

Comment 1 Andrej Nemec 2018-01-23 09:32:04 UTC
Created knot-resolver tracking bugs for this issue:

Affects: epel-all [bug 1537465]
Affects: fedora-all [bug 1537466]


Note You need to log in before you can comment on or make changes to this bug.